List System Users

System users represent non-human actors such as AI agents in Help Scout. They have type: "system_user" in API responses.

Request

GET /v3/system-users HTTP/1.1
Authorization: Bearer oauth_token

URL Parameters

Parameter Type Examples Description
page number page=1
Page number

Response

HTTP/1.1 200 OK
Content-Type: application/hal+json

{
  "_embedded" : {
    "system_users" : [ {
      "id" : 155250,
      "type" : "system_user",
      "firstName" : "AI Agent",
      "lastName" : "",
      "initials" : "AA",
      "email" : null,
      "mention" : null,
      "timezone" : "UTC",
      "role" : "user",
      "photoUrl" : null,
      "createdAt" : "2026-04-22T15:17:33Z",
      "updatedAt" : "2026-04-22T15:17:33Z",
      "_links" : {
        "self" : {
          "href" : "..."
        }
      }
    } ]
  },
  "_links" : {
    "self" : {
      "href" : "..."
    },
    "first" : {
      "href" : "..."
    },
    "last" : {
      "href" : "..."
    },
    "page" : {
      "href" : "...",
      "templated" : true
    }
  },
  "page" : {
    "size" : 50,
    "totalElements" : 1,
    "totalPages" : 1,
    "number" : 1
  }
}

Response fields

Path Type Description
_embedded.system_users Array Array of System User objects

Response fields

Path Type Description
id Number System user’s ID
type String Always system_user
firstName String First name
lastName String Last name
initials String Initials
email String E-mail (may be null)
mention String Mention handle for @-references (may be null)
timezone String Timezone
role String Company member role
photoUrl String Photo URL (may be null)
createdAt String UTC time when this system user was created
updatedAt String UTC time when this system user was last modified
Relation Description
page Templated link to request any result page
first Link to grab the first page
last Link to grab the last page
next Link to grab the next page
previous Link to grab the previous page